<?php

use Illuminate\Support\Str;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAccountStatementsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('accountStatementsEC', function (Blueprint $table) {
            $table->id();
            $table->string('nCuenta');
            $table->string('token')->default(Str::random(50));
            $table->enum('type',['LFM', 'LAL', 'LPO', 'LAM']);
            $table->string('annualPeriod');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('accountStatementsEC');
    }
}
